@charset "utf-8";
@font-face {
  font-family: "ZEN Old Mincho";
  src: url("/assets/fonts/ZenOldMincho-Regular.woff2") format("woff2");
  font-weight: 400;
  font-display: swap;
}
@font-face {
  font-family: "ZEN Old Mincho";
  src: url("/assets/fonts/ZenOldMincho-Bold.woff2") format("woff2");
  font-weight: 700;
  font-display: swap;
}

:root {
  --WIDTH_CONTENT: 1500px;
  --OUTSIDE_GUTTER: 40px;
  --COLOR_FONT: #333;
  --COLOR_FONT_DARK: #888;
  --COLOR_FONT_LIGHT: #FAFAFA;
  --COLOR_PRIMARY: #07365B;
  --COLOR_BORDER: #888;
  --COLOR_BORDER_LIGHT: #FAFAFA;
  --COLOR_BACKGROUND: #FFF;
  --COLOR_BACKGROUND_GRAY: #FAFAFA;
  --COLOR_GRAY_FE: #FEFEFE;
  --FONT_FAMILY: "ZEN Old Mincho", "游明朝", "Noto Serif JP", serif;
  --FONT_SIZE: 1.6rem;
  --FONT_WEIGHT: 400;
  --FONT_WEIGHT_BOLD: 700;
  --LINE_HEIGHT: 1.8;
  --LINE_HEIGHT_NARROW: 1.5;
  --EASING: ease-out;
  --DURATION: .2s;
  --TRANSITION: var(--EASING) var(--DURATION);
  --TRANSITION_SLOW: var(--EASING) .3s;
  --Z_INDEX_LOWER_LAYER: -1;
  --Z_INDEX_UPPER_LAYER: 1;
  --Z_INDEX_MIDDLE_LAYER: 10;
  --Z_INDEX_HEADER: 100;
}

@media screen and (max-width: 767px) {
  :root {
    --OUTSIDE_GUTTER: 16px;
    --FONT_SIZE: 1.4rem;
  }
}

*,
*::before,
*::after {
  box-sizing: border-box;
}

html {
  min-height: 100%;
  font-size: 62.5%;
  -webkit-text-size-adjust: 100%;
  scroll-behavior: smooth;
}

body {
  min-height: 100%;
  margin: 0;
  color: var(--COLOR_FONT);
  font-size: var(--FONT_SIZE);
  font-family: var(--FONT_FAMILY);
  font-weight: var(--FONT_WEIGHT);
  line-height: var(--LINE_HEIGHT);
  overflow-x: clip;
  text-rendering: optimizespeed;
}

body.is-menu-open {
  overflow: hidden;
}

h1,
h2,
h3,
h4,
h5,
h6,
p,
figure,
blockquote,
dd {
  margin: 0;
}

a {
  color: inherit;
  text-decoration: none;
}

strong,
em {
  font-weight: var(--FONT_WEIGHT_BOLD);
  font-style: normal;
}

ul,
ol,
dl {
  margin: 0;
  padding: 0;
  list-style: none;
}

table {
  border-collapse: collapse;
}

img,
svg {
  max-width: 100%;
  height: auto;
  vertical-align: bottom;
}

iframe {
  border: 0;
  max-width: 100%;
  vertical-align: bottom;
}

button,
input[type='button'] {
  margin: 0;
  padding: 0;
  border: 0;
  background: none;
  appearance: none;
  font: inherit;
  color: inherit;
  line-height: inherit;
  letter-spacing: inherit;
  cursor: pointer;
}

.u-top-content {
  background-color: var(--COLOR_BACKGROUND);
}
.u-top-content__outer {
  display: grid;
  position: relative;
  grid-template-columns: 1fr minmax(auto, var(--WIDTH_CONTENT)) 1fr;
  column-gap: var(--OUTSIDE_GUTTER);
  z-index: var(--Z_INDEX_UPPER_LAYER);
}

.u-top-content__outer--our-services {
  background-color: var(--COLOR_BACKGROUND_GRAY);
  overflow: hidden;
}

.u-top-content__outer--core-competence {
  position: relative;
  background: linear-gradient(258deg, #246A84 0%, #07365B 100%);
  color: var(--COLOR_FONT_LIGHT);
  overflow: hidden;
}

.u-top-content__outer--core-competence::before {
  content: "";
  position: absolute;
  bottom: 40px;
  left: 40px;
  width: 500px;
  height: 183px;
  background-image: url(/assets/images/top/core-bg-01.svg);
  background-repeat: no-repeat;
  background-size: contain;
  opacity: 0.2;
  z-index: var(--Z_INDEX_LOWER_LAYER);
}

.u-top-content__inner {
  grid-column: 2/3;
  padding: 120px 0;
}

.u-top-content__outer--about-us {
  background-color: var(--COLOR_BACKGROUND_GRAY);

  .u-top-content__inner {
    padding-bottom: 64px;
  }
}

.u-top-content__outer--our-services::before,
.u-top-content__outer--our-services::after {
  content: "";
  position: absolute;
  width: 2500px;
  height: 800px;
  background-image: url(/assets/images/top/services-bg-01.webp);
  background-repeat: no-repeat;
  background-size: contain;
  opacity: 0.05;
  z-index: var(--Z_INDEX_LOWER_LAYER);
}

.u-top-content__outer--our-services::before {
  top: 0;
  left: 35%;
}

.u-top-content__outer--our-services::after {
  bottom: 0;
  right: 35%;
}

.u-top-heading-level2 {
  display: flex;
  flex-direction: column;
  align-items: center;
  row-gap: 8px;
  font-weight: var(--FONT_WEIGHT);
  line-height: var(--LINE_HEIGHT_NARROW);
}

.u-top-heading-level2__title {
  font-size: 6.4rem;
}

.u-top-heading-level2__sub-title {
  display: flex;
  align-items: center;
  column-gap: 24px;
  font-size: 2.4rem;
  color: var(--COLOR_FONT_DARK);
}

.u-top-heading-level2__sub-title::before,
.u-top-heading-level2__sub-title::after {
  content: "";
  display: block;
  width: 40px;
  height: 1px;
  margin-top: 2px;
  background-color: var(--COLOR_BORDER);
}

.u-top-heading-level2--core {
  margin: auto;
  writing-mode: vertical-rl;
}

.u-top-heading-level2--core > .u-top-heading-level2__sub-title {
  color: var(--COLOR_FONT_LIGHT);
}

.u-top-heading-level2--core > .u-top-heading-level2__title {
  line-height: 1.05;
}

.u-top-heading-level2--core > .u-top-heading-level2__sub-title::before,
.u-top-heading-level2--core > .u-top-heading-level2__sub-title::after {
  width: 1px;
  height: 40px;
  margin: 0;
  background-color: var(--COLOR_BACKGROUND);
}

.u-top-logo-lead {
  margin-top: 80px;
  text-align: center;
}

.u-top-logo-lead__item {
  font-size: 2.4rem;
}

.u-top-logo-lead__item > b {
  font-weight: var(--FONT_WEIGHT);
}

.u-top-concept-card {
  display: flex;
  margin-top: 80px;
}

.u-top-concept-card__item {
  flex: 1;
  display: flex;
  justify-content: center;
  padding: 40px 20px;
  border-right: 1px solid var(--COLOR_BORDER);
}

.u-top-concept-card__item:first-child {
  border-left: 1px solid var(--COLOR_BORDER);
}

.u-top-concept-card__container {
  display: flex;
  flex-direction: column;
  align-items: center;
  max-width: 340px;
}

.u-top-concept-card__origin {
  display: flex;
  flex-direction: column;
  align-items: center;
}

.u-top-concept-card__origin-text {
  font-size: 2.4rem;
  line-height: var(--LINE_HEIGHT_NARROW);
}

.u-top-concept-card__origin-number {
  font-size: 4rem;
  line-height: var(--LINE_HEIGHT_NARROW);
}

.u-top-concept-card__title {
  margin-top: 16px;
  line-height: var(--LINE_HEIGHT_NARROW);
}

.u-top-concept-card__title-text {
  font-size: 4.8rem;
}

.u-top-concept-card__title-text > b {
  font-weight: var(--FONT_WEIGHT);
}

.u-top-concept-card__detail {
  margin-top: 24px;
}

.u-top-service-2column {
  display: flex;
  flex-direction: column;
  row-gap: 40px;
  max-width: 1200px;
  margin: 80px auto 0 auto;
}

.u-top-service-2column__item {
  display: grid;
  grid-template-columns: auto fit-content(45%);
  column-gap: 40px;
  align-items: center;
}

.u-top-service-2column__item--reverse {
  grid-template-columns: fit-content(45%) auto;
}

.u-top-service-2column__item--reverse > .u-top-service-2column__text-container {
  order: 2;
}

.u-top-service-2column__item--reverse > .u-top-service-2column__img-container {
  order: 1;
}

.u-top-service-2column__heading {
  display: flex;
  align-items: center;
  column-gap: 24px;
  flex-shrink: 1;
  font-size: 4rem;
  font-weight: var(--FONT_WEIGHT);
}

.u-top-service-2column__heading::after {
  content: "";
  display: block;
  flex: 1;
  height: 1px;
  background-color: var(--COLOR_BORDER);
}

.u-top-service-2column__text {
  margin-top: 24px;
  font-size: 2rem;
}

.u-top-service-2column__media-img {
  border-radius: 5px;
}

.u-top-core-2column {
  display: grid;
  grid-template-columns: 3.9fr 8.6fr;
}

.u-top-core-card__item {
  display: grid;
  grid-template-columns: 167px 1fr;
  padding-top: 40px;
}

.u-top-core-card__strong {
  display: flex;
  align-items: center;
  column-gap: 16px;
  padding-right: 80px;
  line-height: var(--LINE_HEIGHT_NARROW);
}

.u-top-core-card__origin-text {
  font-size: 2.4rem;
  padding-top: 4px;
}

.u-top-core-card__origin-number {
  font-size: 4rem;
}

.u-top-core-card__detail {
  display: flex;
  flex-direction: column;
  row-gap: 24px;
  padding: 16px 0 16px 80px;
  border-left: 1px solid var(--COLOR_BORDER_LIGHT);
}

.u-top-core-card__lead {
  font-size: 2.4rem;
}

.u-top-core-card__lead > b {
  font-weight: var(--FONT_WEIGHT);
}

.u-top-about-2column {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  column-gap: 80px;
  margin-top: 80px;
}

.u-top-description {
  display: grid;
  grid-template-columns: fit-content(50%) auto;
  column-gap: 80px;
  row-gap: 24px;
}

.u-top-description__item {
  display: grid;
  grid-template-columns: subgrid;
  grid-column: 1 / -1;
}

.u-top-description__title {
  font-weight: var(--FONT_WEIGHT_BOLD);
}

.u-top-external__item {
  width: 100%;
  height: 100%;
  aspect-ratio: 16/9;
}

.l-footer {
  background: linear-gradient(269deg, #246A84 0%, #07365B 99.94%);
}

.page-top {
  position: sticky;
  bottom: 16px;
  opacity: 1;
  transition: opacity var(--DURATION);
  z-index: var(--Z_INDEX_MIDDLE_LAYER);
}

.page-top__item {
  position: relative;
  width: 64px;
  height: 64px;
  display: block;
  margin-left: auto;
  margin-right: 80px;
  border-radius: 5px;
  border: 2px solid var(--COLOR_BORDER);
  background-color: var(--COLOR_BACKGROUND);
}

.page-top__item::before {
  content: "";
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  width: 24px;
  height: 14px;
  background-color: var(--COLOR_PRIMARY);
  mask-image: url(/assets/images/common/icon-arrow.svg);
  mask-repeat: no-repeat;
  mask-size: contain;
}

.l-footer__page-top:hover {
  border-color: var(--COLOR_PRIMARY);
  background-color: var(--COLOR_PRIMARY);
}

.l-footer__page-top:hover::before {
  background-color: var(--COLOR_BACKGROUND_GRAY);
}

.l-footer__content {
  display: flex;
  flex-direction: column;
  align-items: center;
  row-gap: 64px;
  padding-top: 80px;
  padding-bottom: 40px;
}

.l-footer__img {
  width: 500px;
}

.l-footer__copyright-text {
  color: var(--COLOR_FONT_LIGHT);
  font-size: 1.2rem;
}

.l-main {
  background-color: var(--COLOR_BACKGROUND_GRAY);
  padding-bottom: 40px;
}

/* gnav {{{ */
.l-content {
  background-color: var(--COLOR_BACKGROUND_GRAY);
}

.l-mv-wrapper {
  padding: 40px 40px 120px;
  display: grid;
  grid-template-areas: "mv";
  align-items: flex-start;
  margin-left: auto;
  margin-right: auto;
  max-width: 1920px;
}

.l-header {
  grid-area: mv;
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin: 40px 40px 0;
  column-gap: 80px;
  z-index: 2;
}

.l-header__logo-white {
  vertical-align: top;
}

.l-header__nav-link {
  font-size: 2rem;
  transition: color var(--DURATION);
  color: var(--COLOR_FONT_LIGHT);
}

.l-header__hamburger-button {
  display: none;
}

.l-header__nav {
  display: flex;
  column-gap: 80px;
}

.l-header__nav-link-sub-text {
  display: none;
}
/* }}} */

/* carousel {{{ */
.u-top-main-visual-carousel {
  grid-area: mv;
  min-width: 0;
}

.u-top-main-visual-carousel__slide {
  overflow: hidden;
  border-radius: 20px;
}

.u-top-main-visual-carousel__interface {
  margin-top: 24px;
  display: flex;
  justify-content: center;
  column-gap: 24px;
}

.u-top-main-visual-carousel__controlpanel,
.u-top-main-visual-carousel__pagination {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-shrink: 0;
}

.u-top-main-visual-carousel__controlpanel {
  column-gap: 16px;
}

.u-top-main-visual-carousel__pagination.swiper-pagination-bullets.swiper-pagination-horizontal {
  width: auto;
  column-gap: 8px;
}

.u-top-main-visual-carousel__pagination.swiper-pagination {
  position: static;
}

.u-top-main-visual-carousel__bullet.swiper-pagination-bullet {
  background-color: transparent;
  display: grid;
  grid-template-areas: "a";
  place-content: center;
  place-items: center;

  &::after,
  &::before {
    content: "";
    display: inline-block;
    background-color: #888;
    width: 8px;
    height: 8px;
    border-radius: 50%;
    grid-area: a;
  }

  &::before {
    z-index: 1;
  }
}

.u-top-main-visual-carousel__bullet.swiper-pagination-bullet-active {
  &::before {
    background-color: var(--COLOR_PRIMARY);
  }

  &::after {
    width: 14px;
    height: 14px;
    background-color: transparent;
    border: 1px solid var(--COLOR_PRIMARY);
  }
}

.u-top-main-visual-carousel__prev,
.u-top-main-visual-carousel__next,
.u-top-main-visual-carousel__toggle {
  width: 40px;
  height: 40px;
  border: 1px solid var(--COLOR_BORDER);
  border-radius: 50%;
  background-color: var(--COLOR_GRAY_FE);
  transition: background-color var(--TRANSITION);

  &::before {
    content: "";
    background-color: var(--COLOR_PRIMARY);
    width: 100%;
    height: 100%;
    display: block;
    mask-image: url(/assets/images/common/icon-arrow.svg);
    mask-repeat: no-repeat;
    mask-size: 15px 8px;
    transform: rotate(90deg);
    mask-position: center;
    transition: background-color var(--DURATION);
  }
}

.u-top-main-visual-carousel__prev {
  &::before {
    scale: -1 1;
  }
}

.u-top-main-visual-carousel__next {
  &::before {
    scale: 1 1;
  }
}

.u-top-main-visual-carousel__toggle {
  &::before {
    transform: initial;
    mask-image: url(/assets/images/common/icon-pause.svg);
    mask-size: 10px 14px;
  }

  &.is-paused::before {
    mask-image: url(/assets/images/common/icon-play.svg);
    mask-size: 10px 12px;
    margin-left: 1px;
  }
}
/* }}} */

/* dx {{{ */
.u-top-dx-wrapper {
  max-width: 1500px;
  margin-top: 80px;
  margin-left: auto;
  margin-right: auto;
  padding: 80px;
  background-color: var(--COLOR_BACKGROUND);
}

.u-top-dx-wrapper__heading {
  font-size: 2.4rem;
  font-weight: normal;
}

.u-top-dx-wrapper__text {
  margin-top: 40px;
}

@media screen and (max-width: 960px) {
  .u-top-core-2column {
    grid-template-columns: auto;
    row-gap: 40px;
  }

  .u-top-heading-level2--core {
    writing-mode: inherit;
  }

  .u-top-heading-level2--core > .u-top-heading-level2__sub-title::before,
  .u-top-heading-level2--core > .u-top-heading-level2__sub-title::after {
    width: 40px;
    height: 1px;
  }

  .u-top-about-2column {
    grid-template-columns: auto;
    row-gap: 40px;
  }
}

/* }}} */

@media screen and (max-width: 767px) {
  .l-main {
    padding-bottom: 24px;
  }

  .u-top-content__inner {
    padding: 64px 0;
  }

  .u-top-heading-level2__title {
    font-size: 4rem;
  }

  .u-top-heading-level2__sub-title {
    column-gap: 16px;
    font-size: 1.8rem;
  }

  .u-top-logo-lead {
    margin-top: 40px;
  }

  .u-top-logo-lead__item {
    font-size: 2rem;
  }

  .u-top-concept-card {
    flex-direction: column;
    margin-top: 40px;
  }

  .u-top-concept-card__item {
    padding: 40px 22px;
    border-right: none;
    border-bottom: 1px solid var(--COLOR_BORDER);
  }

  .u-top-concept-card__item:first-child {
    border-left: none;
    border-top: 1px solid var(--COLOR_BORDER);
  }

  .u-top-concept-card__origin-text {
    font-size: 2rem;
  }

  .u-top-concept-card__origin-number {
    font-size: 2.8rem;
  }

  .u-top-concept-card__title-text {
    font-size: 3.6rem;
  }

  .u-top-content__outer--our-services::before,
  .u-top-content__outer--our-services::after {
    content: none;
  }

  .u-top-service-2column {
    margin-top: 40px;
  }

  .u-top-service-2column__item {
    display: flex;
    flex-direction: column-reverse;
    row-gap: 8px;
  }

  .u-top-service-2column__item--reverse {
    flex-direction: column;
  }

  .u-top-service-2column__text-container {
    position: relative;
    display: flex;
    align-self: flex-start;
    flex-direction: column;
  }

  .u-top-service-2column__text-container::before {
    content: "";
    position: absolute;
    top: -10px;
    right: 0;
    width: 600px;
    height: 256px;
    background-image: url(/assets/images/top/services-bg-01.webp);
    background-repeat: no-repeat;
    background-size: contain;
    opacity: 0.1;
    z-index: var(--Z_INDEX_LOWER_LAYER);
  }

  .u-top-service-2column__img-container {
    width: 100%;
  }

  .u-top-service-2column__media-img {
    width: 100%;
  }

  .u-top-service-2column__item--reverse .u-top-service-2column__text-container::before {
    left: 0;
  }

  .u-top-service-2column__heading {
    display: block;
    font-size: 3.2rem;
  }

  .u-top-service-2column__text {
    margin-top: 8px;
    font-size: 1.4rem;
  }

  .u-top-service-2column__heading::after {
    content: none;
  }

  .u-top-content__outer--core-competence::before {
    content: none;
  }

  .u-top-core-2column {
    display: flex;
    flex-direction: column;
    row-gap: 40px;
  }

  .u-top-core-2column__text-container {
    border-top: 1px solid var(--COLOR_BORDER_LIGHT);
  }

  .u-top-core-card__item {
    display: flex;
    flex-direction: column;
    row-gap: 16px;
    padding: 40px 0;
    border-bottom: 1px solid var(--COLOR_BORDER_LIGHT);
  }

  .u-top-core-card__detail {
    align-items: center;
    padding: 0;
    border: none;
  }

  .u-top-core-card__strong {
    flex-direction: column;
    padding: 0;
  }

  .u-top-core-card__origin-text {
    font-size: 2rem;
    padding-top: 0;
  }

  .u-top-core-card__origin-number {
    font-size: 3.2rem;
  }

  .u-top-about-2column {
    margin-top: 40px;
  }

  .u-top-description {
    grid-template-columns: auto;
  }

  .u-top-description__item {
    row-gap: 8px;
  }

  .u-top-content__outer--about-us {
    .u-top-content__inner {
      padding-bottom: 20px;
    }
  }

  .page-top {
    bottom: 24px;
  }

  .page-top__item {
    width: 40px;
    height: 40px;
    margin-right: 16px;
    background-color: rgba(255, 255, 255, 0.5);

    &::before {
      width: 15px;
      height: 9px;
    }
  }

  .l-footer__content {
    row-gap: 32px;
    padding: 40px var(--OUTSIDE_GUTTER) 24px;
  }

  .l-footer__img {
    width: 240px;
  }

  .l-footer__copyright-text {
    font-size: 1rem;
  }


  /* carousel {{{ */
  .u-top-main-visual-carousel__slide {
    border-radius: 10px;
  }

  .u-top-main-visual-carousel__prev,
  .u-top-main-visual-carousel__next,
  .u-top-main-visual-carousel__toggle {
    width: 32px;
    height: 32px;
  }
  .u-top-main-visual-carousel__prev,
  .u-top-main-visual-carousel__next {
    &::before {
      mask-size: 12px 6px;
    }
  }

  .u-top-main-visual-carousel__toggle {
    &.is-paused::before,
    &::before {
      mask-size: 8px 10px;
    }
  }
  /* /}}} */

  /* dx {{{ */
  .u-top-dx-wrapper {
    max-width: initial;
    margin-top: 64px;
    padding: 24px;
  }

  .u-top-dx-wrapper__heading {
    font-size: 2rem;
  }

  .u-top-dx-wrapper__text {
    margin-top: 24px;
  }
  /* }}} */
}

/* Special breakpoint {{{ */
@media only screen and (max-width: 959px) {
  /* gnav {{{ */
  .l-header {
    margin: 16px 16px 0;
  }

  .l-mv-wrapper {
    padding: 16px 16px 64px;
  }

  .l-header__logo {
    width: 200px;
    height: 29px;
  }

  body:has(.l-header__body):has(.l-header__nav[aria-hidden="false"]) {
    overflow: hidden;
  }

  .l-header__body:has(.l-header__nav[aria-hidden="false"]) {
    background-color: rgba(0, 0, 0, .2);
    width: 100%;
    height: 100%;
    position: absolute;
    left: 0;
    top: 0;

    & :where(.l-header__hamburger-button) {
      position: absolute;
      right: 26px;
      top: 26px;
    }
  }

  .l-header__hamburger-button {
    display: block;
    width: 29px;
    height: 29px;
    position: relative;
    z-index: 2;

    & :where(.hb) {
      transition: opacity var(--DURATION), fill var(--DURATION), transform var(--DURATION);
    }

    &[aria-expanded="true"] :where(.hb) {
      fill: var(--COLOR_FONT);
      transform-origin: center;
      x: 0;
      y: 13px;
      transform: rotate(45deg);
    }

    &[aria-expanded="true"] :where(#hb1) {
      transform: rotate(135deg);
    }

    &[aria-expanded="true"] :where(#hb2) {
      opacity: 0;
    }
  }

  .l-header__nav {
    padding: 26px 16px 40px;
    position: absolute;
    background-color: var(--COLOR_BACKGROUND_GRAY);
    box-shadow: 0 4px 10px 0 rgba(0, 0, 0, 0.15);
    width: 100%;
    height: auto;
    left: 0;
    top: 0;
    display: block;
    z-index: 1;
    opacity: 1;
    transition: transform .6s, opacity .3s;

    &[aria-hidden="true"] {
      opacity: 0;
      transform: translateY(-100dvh);
    }

    &[aria-hidden="false"] {
      opacity: 1;
      transform: translateY(0);
    }

    &::before {
      content: "";
      display: block;
      mask-image: url(/assets/images/common/logo.svg);
      mask-size: contain;
      background-color: var(--COLOR_FONT);
      mask-repeat: no-repeat;
      mask-position: left top;
      width: 200px;
      height: 29px;
    }

    .l-header__nav-item {
      margin-top: 24px;

      &:first-child {
        margin-top: 40px;
      }

      &:last-child {
        border-bottom: 1px solid var(--COLOR_BORDER);
        padding-bottom: 24px;
      }
    }

    .l-header__nav-link {
      border-top: 1px solid var(--COLOR_BORDER);
      color: var(--COLOR_FONT);
      padding-top: 24px;
      padding-left: 16px;
      display: inline-block;
      position: relative;
      width: 100%;
      line-height: 1.5;

      &::after {
        content: "";
        position: absolute;
        right: 16px;
        top: 24px;
        scale: 1 -1;
        bottom: 0;
        margin-top: auto;
        margin-bottom: auto;

        background-color: var(--COLOR_PRIMARY);
        mask-image: url(/assets/images/common/icon-arrow.svg);
        mask-repeat: no-repeat;
        mask-size: contain;
        width: 14px;
        height: 8px;
      }
    }

    .l-header__nav-link-sub-text {
      display: block;
      font-size: 1.6rem;
      color: var(--COLOR_FONT_DARK);
    }
  }
  /* /}}} */
}

@media only screen and (min-width: 960px) and (max-width: 1279px) {
  .l-header__logo {
    width: 250px;
    height: 37px;
  }

  .l-header__nav {
    column-gap: 40px;
  }

  .l-header__nav-link {
    font-size: 1.6rem;
  }
}
/* }}} */

/* scripting {{{ */
@media (scripting: none) {
  .u-top-main-visual-carousel__wrapper.swiper-wrapper {
    display: block;
  }
  .u-top-main-visual-carousel__interface {
    display: none;
  }

  .l-footer__page-top {
    z-index: 1;
  }
}
/* }}} */

/* hover {{{ */
@media only screen and (any-hover: hover) {
  .u-top-main-visual-carousel__toggle:not([tabindex="-1"]):hover:not([disabled]),
  .u-top-main-visual-carousel__toggle:not([tabindex="-1"]):focus-visible:not([disabled]),
  .u-top-main-visual-carousel__next:not([tabindex="-1"]):hover:not([disabled]),
  .u-top-main-visual-carousel__next:not([tabindex="-1"]):focus-visible:not([disabled]),
  .u-top-main-visual-carousel__prev:not([tabindex="-1"]):hover:not([disabled]),
  .u-top-main-visual-carousel__prev:not([tabindex="-1"]):focus-visible:not([disabled]) {
    background-color: var(--COLOR_PRIMARY);

    &::before {
      background-color: var(--COLOR_GRAY_FE);
    }
  }

  .l-header__nav-link:not([tabindex="-1"]):hover:not([disabled]),
  .l-header__nav-link:not([tabindex="-1"]):focus-visible:not([disabled]) {
    color: var(--COLOR_PRIMARY);
  }

  .page-top__item:not([tabindex="-1"]):hover:not([disabled]),
  .page-top__item:not([tabindex="-1"]):focus-visible:not([disabled]) {
    background-color: var(--COLOR_PRIMARY);
    &::before {
      background-color: var(--COLOR_BACKGROUND);
    }
  }
}
/* }}} */

/* Utils {{{ */
.sr-only {
  position: absolute;
  width: 1px;
  height: 1px;
  padding: 0;
  margin: -1px;
  overflow: hidden;
  clip-path: inset(0 0 0 0);
  white-space: nowrap;
  border: none;
}

.hide {
  display: none;
}

.invisible {
  opacity: 0;
}
/* }}} */
